@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap');

header {
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2% 5%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header a.logo {
    display: flex;
    text-decoration: none;
    align-items: center;
    font-size: 28px;
    color: white;
}

header a.logo img {
    width: 70px;
    margin-right: 10px;
}



main {
    position: relative;
    height: auto;
}

main ol.links {
    position: absolute;
    top: 50%;
    right: 8%;
    z-index: 2;
    color: white;
    list-style-type: none;
    transform: translateY(-50%);
}

main ol.links a {
    position: relative;
    display: block;
    text-decoration: none;
    color: white;
    text-transform: capitalize;
    font-weight: 500;
    margin: 30px 0;
    text-align: right;
    opacity: 0.5;
    transition: all 0.5s ease-in;
}

main ol.links a::after {
    content: '';
    position: absolute;
    right: -20px;
    top: 50%;
    width: 10px;
    height: 1px;
    background-color: white;
    transition: all 0.5s ease-in;
}

main ol.links a.active, main ol.links a:hover {
    opacity: 1;
    transition: all 0.5s ease-in;
}

main ol.links a.active::after, main ol.links a:hover::after {
    right: -40px;
    width: 30px;
    transition: all 0.5s ease-in;
}

.large-header {
    position: relative;
    width: 100%;
    background: #01070c;
    background: radial-gradient(circle, #052039, rgb(2, 16, 36) 60%);
    overflow: hidden;
    background-size: cover;
    background-position: center center;
    z-index: 1;
}
#large-header {
    background-image: url('../images/hand.jpg');
}

.main-title {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin: 0;
    padding: 0;
    padding-left: 70px;
    padding-bottom: 390px;
    color: #adbdbd;
    text-align: center;
    font-size: 2.4em;
}
#demo-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1; /* Ensure canvas is behind other content */
}

.content {
    position: relative; /* Ensure child elements are positioned relative to this */
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    padding-left: 60px;
    color: #f9f1e9; 
    font-size: 2.2vh;
}

.collection {
    padding-top: 135px;
}

.demo-1 .main-title {
    text-transform: uppercase;
    font-size: 3.4em;
    letter-spacing: 0.1em;
}
.main-title .thin {
    font-weight: 150;
}
.demo-1 .collection {
    text-transform: uppercase;
    font-size: 2.2em;
    letter-spacing: 0.1em;
    padding-bottom: 100px;
}
@media only screen and (max-width: 768px) {
    .main-title {
        font-size: 2em;
        margin-left:80px ;
    }
}

.camera-card {
    background: rgba(176, 178, 203, 0.104);
    border-radius: 10px;
    padding: 20px;
    margin-top: 20px;
    width: fit-content;
    
}

.camera {
    position: relative;
    width: 450px;
    text-align: center;
}

video, canvas {
    width: 100%;
    height: auto;
    border-radius: 10px;
    margin-bottom: 10px;
}

#canvas {
    display: none;
}

.button-container {
    padding: 10px;
}

button {
    padding: 10px 20px;
    font-size: 16px;
    margin: 5px;
    cursor: pointer;
    border: none;
    border-radius: 5px;
    background-color: #007BFF;
    color: white;
}

button:disabled {
    background-color: #cccccc;
}

#upload_btn {
    background-color: #008080;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
}

.links{
  padding-bottom: 600px;
}


.hamburger-menu {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 25px;
    width: 30px;
  }
  
  .bar {
    height: 50px;
    width: 100%;
    background-color: #fff;
    border-radius: 10px;
  }
  
  .links {
    display: none;
  }
  
  .navigation.active {
    display: block;
  }
  
  @media (min-width: 768px) {
    .hamburger-menu {
        display: none;
    }
  
    .links {
        display: none;
    }
  
    .navigation {
        display: flex;
    }
  
    .navigation li {
        margin-right: 100px;
    }
    .main-title{
        font-size: 1.4em;
        margin-bottom: 200px;
        margin-top: -300px;
        padding-left: 24px;
        margin-left: auto;
        margin-right: auto;
    }
  }
  @media (min-width: 428px) {
    .hamburger-menu {
        display: none;
    }
  
    .links {
        display: none;
    }
  
    .navigation {
        display: flex;
    }
  
    .navigation li {
        margin-right: 100px;
    }
    .content {
        position: relative; /* Ensure child elements are positioned relative to this */
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 100%;
        padding-left: 19px;
        color: #f9f1e9; 
        font-size: 2.2vh;
    }
    
    .main-title{
        font-size: 1.4em;
        margin-bottom: 100px;
        margin-top: -120px;
        padding-left: 24px;
        margin-left: auto;
        margin-right: auto;
    }
    .collection{
        padding-left: 10px;
        padding-top: 160px;
    }
    .camera-card{
        margin-right: 100px;
        margin-left: auto;
        
    }
    .camera {
        position: relative;
        width: 320px;

        
        text-align: center;
       
    }
  }
  @media (min-width: 375px) {
    .hamburger-menu {
        display: none;
    }
  
    .links {
        display: none;
    }
  
    .navigation {
        display: flex;
    }
  
    .navigation li {
        margin-right: 100px;
    }
    .content {
        position: relative; /* Ensure child elements are positioned relative to this */
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 100%;
        padding-left: 19px;
        color: #f9f1e9; 
        font-size: 2.2vh;
    }
    
    .main-title{
        font-size: 1.4em;
        margin-bottom: 80px;
        margin-top: -60px;
        padding-left: 24px;
        margin-left: auto;
        margin-right: auto;
    }
    .collection{
        padding-left: 10px;
    }
    .camera-card{
        margin-right: 100px;
        margin-left: auto;
        
    }
    .camera {
        position: relative;
        width: 320px;

        
        text-align: center;
       
    }
  }